/* messages (strings) for statistics program xmstat */

#define NOT_IMPLEMENTED_T "not implemented"
#define NOT_IMPLEMENTED_M "Sorry, this is not implemented yet!"

#define LIST_NOVAR_T "data listing"
#define LIST_NOVAR_M "Select sort and/or dependent variables!"

#define DES_NODEP_T "descriptive statistics"
#define DES_NODEP_M "At least one dependent variable\nmust be selected!"

#define PTT_NERR_T "paired t-test error"
#define PTT_NERR_M "The number of variables in\nlist 1 and list 2 must be equal!"

#define UTT_SELERR_T "number of selected levels wrong"
#define UTT_SELERR_M "Exactly 2 levels must be selected!"
#define UTT_GERR_T "unvalid group variable"
#define UTT_GERR_M "There must be at least 2 different levels\nin the variable that defines the two groups!"
#define UTT_NOVAR_T "independent t-test"
#define UTT_NOVAR_M "At least one dependent variable\nmust be selected!"

#define UMW_NOVAR_T "Mann-Whitney U-test"
#define UMW_NOVAR_M "At least one dependent variable\nmust be selected!"

#define ANOVA1I_GERR1_T "unvalid group variable"
#define ANOVA1I_GERR1_M "There must be at least 2 different levels\nin the variable that defines the groups!"
#define ANOVA1I_GERR2_T "group variable"
#define ANOVA1I_GERR2_M "There are only two levels in this group variable!\nUnpaired t-test may be more appropriate"
#define ANOVA1I_GERR3_T "number of selected levels wrong"
#define ANOVA1I_GERR3_M "At least 2 levels must be selected!"
#define ANOVA1I_NOVAR_T "one-way-ANOVA, independent measures"
#define ANOVA1I_NOVAR_M "At least one dependent variable\nmust be selected!"

#define ANOVA2IR_GERR1_T "number of levels wrong"
#define ANOVA2IR_GERR1_M "At least 2 repeated variables\nand 2 levels of the independent variable\nmust be selected!"
#define ANOVA2IR_GERR2_T "independet and repeated variables"
#define ANOVA2IR_GERR2_M "The variable defining the independent levels\nmust be different from the repeated variables!"

#define ANOVA2II_ERR1_T "independet variables must differ"
#define ANOVA2II_ERR1_M "The two variables defining the independent levels\ncannot be the same!"
#define ANOVA2II_ERR2_T "not enough independet levels"
#define ANOVA2II_ERR2_M "Each independent variable must have\nat least two independent levels!"
#define ANOVA2II_NOVAR_T "two-way-ANOVA, indep.-indep. measures"
#define VARNAME_T "Invalid variable name"
#define VARNAME_M "Variable name already exists!\nUse a unique variable name"

#define TRANS1_T   "one-variable transformations"
#define TRANS1_1_M "parameter(s) not numeric !"
#define TRANS1_2_M "parameter(s) not numeric and\nno variables selected !"
#define TRANS1_3_M "no variables selected !"

#define TRANS2_T   "two-variable transformations"
#define TRANS2_1_M "number of variables must be\nequal in all three lists !"

#define REG_TRANS_T "transpose"
#define REG_TRANS_M "number of rows and columns\nin region must be similar !"

#define REG_NVAR_T "regression"
#define REG_NVAR_M "There must be exactly\ntwo dependent variables !"
